## PkRepoDetail PkRepoDetail |

## Synopsis

                        PkRepoDetailPrivate;
                        PkRepoDetail;
    PkRepoDetail *      pk_repo_detail_new                  (void);

## Object Hierarchy

      GObject
       +----PkRepoDetail

## Properties

      "description"              gchar*                : Read / Write
      "enabled"                  gboolean              : Read / Write
      "repo-id"                  gchar*                : Read / Write

## Description

## Details

### PkRepoDetailPrivate

    typedef struct _PkRepoDetailPrivate PkRepoDetailPrivate;

Private PkRepoDetail data

### PkRepoDetail

    typedef struct _PkRepoDetail PkRepoDetail;

### pk_repo_detail_new ()

    PkRepoDetail *      pk_repo_detail_new                  (void);

Returns : | a new PkRepoDetail object.

## Property Details

### The `"description"` property

      "description"              gchar*                : Read / Write

Default value: NULL

### The `"enabled"` property

      "enabled"                  gboolean              : Read / Write

Default value: FALSE

### The `"repo-id"` property

      "repo-id"                  gchar*                : Read / Write

Default value: NULL